<div class="card">
    <h4 class="card-header">Autentificare</h4>
    <div class="card-body">
        <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
            <div class="form-group">
                <label for="email">Adresa de email</label>
                <input type="text" formControlName="email" id="email" class="form-control" />
                <div *ngIf="fields.email.touched && fields.email.invalid" class="alert alert-danger">
                    <div *ngIf="fields.email.errors!.required">Adresa de email este necesară.</div>
                    <div *ngIf="fields.email.errors!.email">Formatul adresei de email nu este corespunzător.</div>
                </div>
            </div>
            <div class="form-group">
                <label for="password">Parola</label>
                <input type="password" formControlName="password" class="form-control" />
                <div *ngIf="fields.password.touched && fields.password.invalid" class="alert alert-danger">
                    <div *ngIf="fields.password.errors!.required">Parola este necesară.</div>
                </div>
            </div>
            <button type="submit" [disabled]="!loginForm.valid" class="btn btn-primary">
                <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                Autentificare
            </button>
        </form>
    </div>
</div>